#include "knx.hpp"

int main ( int argc, char ** argv )
{
    // create configuration from command line parameters
    knx::config config ( argc, argv );

    // create the connection with the given config
    knx::connection connection ( config );

    // create handling threads for background processing
    knx::handle handle ( connection );

    // wait for connection
    connection.wait_until_connected();

    uint8_t val = 0;

    for (int i=0; i<8; i++)    
    {
        connection.set<knx::dpt_3_007> ( knx::group("6/6/6"), std::pair<bool,uint8_t>(1,val) );
        connection.set<knx::dpt_3_007> ( knx::group("6/6/6"), std::pair<bool,uint8_t>(0,val) );
        val++;
        knx::util::sleep ( 1 );
    }
    
    // dpt 1.001
//    connection.set<knx::dpt_1_001> ( knx::group("0/0/1"), knx::dpt_1_001::ON );

    // wait a bit before exit
    knx::util::sleep ( 1 );

    return 0;
}
